RT2870 no longer works with 2.6.38 in testing

Questions about WIFI networks and devices
Forum rules
Before you post please read this

RT2870 no longer works with 2.6.38 in testing

Postby t3g on Wed Apr 13, 2011 7:04 pm

I've been using the stock 2.6.35 kernel from Squeeze ever since using Mint Debian alongside the USB Linksys WUSB600N v1 that is a RT2870 chipset. I have also been using blacklist entries in the blacklist.conf with no issues the whole time I have used it.

Today I saw 2.6.38 in the testing repository and I upgraded to the latest kernel. Now the RT2870 no longer works. Is this a common issue that needs to be worked out with the testing repos and this USB adapter? Or do I have to recompile something? I of course have the mintwifi installed too.

I went back to 2.6.35 and it worked like it always has. I tried to reinstall ndiswrapper and mintwifi and here is what I got:

Setting up ndiswrapper-common (1.56-3) ...
Setting up ndiswrapper-dkms (1.56-3) ...
Loading new ndiswrapper-1.56 DKMS files...
Building for 2.6.32-5-686 and 2.6.38-2-686
Building initial module for 2.6.32-5-686
Done.

ndiswrapper.ko:
Running module version sanity check.
- Original module
- No original module exists within this kernel
- Installation
- Installing to /lib/modules/2.6.32-5-686/updates/

depmod....

DKMS: install Completed.
Building initial module for 2.6.38-2-686

Error! Bad return status for module build on kernel: 2.6.38-2-686 (i686)
Consult the make.log in the build directory
/var/lib/dkms/ndiswrapper/1.56/build/ for more information.
Setting up ndiswrapper-utils-1.9 (1.56-3) ...
Setting up ndisgtk (0.8.5-1) ...
Setting up mintwifi (1.9) ...
Processing triggers for menu ...
t3g
Level 2
Level 2
 
Posts: 85
Joined: Thu Jan 13, 2011 9:48 pm

Linux Mint is funded by ads and donations.
 

Re: RT2870 no longer works with 2.6.38 in testing

Postby vincent on Wed Apr 13, 2011 7:19 pm

viewtopic.php?f=141&t=67502&start=280#p407921

In short: uninstall ndiswrapper, remove any blacklist entries on rt2x00 and related modules, and start using those kernel modules instead.
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: RT2870 no longer works with 2.6.38 in testing

Postby t3g on Wed Apr 13, 2011 8:17 pm

vincent wrote:http://forums.linuxmint.com/viewtopic.php?f=141&t=67502&start=280#p407921

In short: uninstall ndiswrapper, remove any blacklist entries on rt2x00 and related modules, and start using those kernel modules instead.


Your suggestion worked. I really don't see myself replacing this USB Wifi adapter any time soon so uninstalling ndiswrapper wasn't that big of a deal. I've been waiting to upgrade to 2.6.38 for a while now and the improvements are great. Flash playback seems to be a little better in Chromium but Firefox has been smoother.

Btw, when I changed my repos to SID, I was able to install ndiswrapper 1.56+r2729-1 for the 2.6.38 kernel without the errors. Something to keep in mind if it has to be reinstalled.
t3g
Level 2
Level 2
 
Posts: 85
Joined: Thu Jan 13, 2011 9:48 pm

Re: RT2870 no longer works with 2.6.38 in testing

Postby romanybob on Thu Apr 14, 2011 3:54 pm

rt2800/rt2x00 drivers work, but not very well with rt2870. Speed fluctuations, drop outs, drop in signal strength.
Find myself drawn back to Julia, witch is still using the rt2870ste driver (so fast and snappy!)....
Will have to figure out how to compile the driver source from the Ralink website, keep getting many errors :x
romanybob
Level 1
Level 1
 
Posts: 5
Joined: Fri Oct 29, 2010 4:58 pm

Re: RT2870 no longer works with 2.6.38 in testing

Postby vincent on Thu Apr 14, 2011 9:59 pm

For me, it was the other way around. As they say, your mileage may vary...

Anyways, if you're looking for a guide on compiling Ralink's drivers, see here: http://forums.debian.net/viewtopic.php?f=7&t=60613
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: RT2870 no longer works with 2.6.38 in testing

Postby t3g on Fri Apr 15, 2011 6:08 pm

romanybob wrote:rt2800/rt2x00 drivers work, but not very well with rt2870. Speed fluctuations, drop outs, drop in signal strength.
Find myself drawn back to Julia, witch is still using the rt2870ste driver (so fast and snappy!)....
Will have to figure out how to compile the driver source from the Ralink website, keep getting many errors :x


I have noticed my wireless signal and speed being much worse now. Sites are longer to load and Youtube videos are dragging along. I thought it was me and I've done hard reboots of both my router and cable modem multiple times.

Should I go back into my blacklist.conf and re-enable some items to blacklist? If so, which ones?
t3g
Level 2
Level 2
 
Posts: 85
Joined: Thu Jan 13, 2011 9:48 pm

Re: RT2870 no longer works with 2.6.38 in testing

Postby romanybob on Sat Apr 16, 2011 4:49 am

No my friend, they have taken the rt2870sta driver out completely. We are supposed to use the rt2x00 driver, but as we know it's rubish!!!
I am still trying to compile the source from the Ralink website but I am having problems with this. Have tried multiple tutorials, and am currently trying to expand my knowledge base in this area...
If I find a solution or come across any further information I will post here :wink:
romanybob
Level 1
Level 1
 
Posts: 5
Joined: Fri Oct 29, 2010 4:58 pm

Re: RT2870 no longer works with 2.6.38 in testing

Postby amina on Sat Apr 16, 2011 5:57 am

romanybob,

I never used the rt2870sta driver, but with the old kernel I used to compile rt2860sta from the Ralink source.
Other than that I am not very experienced with compiling but I have two remarks on the linked guide, maybe you can use them:

First, doing
Code: Select all
sudo make && sudo make install
, I got permission denied messages. Some lines earlier it stated that it started to use Makefile.6 which was located in 2009_0918_RT2860_Linux_STA_v2.2.0.0/os/linux/Makefile.6. Checked that file and I had to append the commands in the Install section with "sudo" or perform them manually.

Second, after addig rt2860sta to /etc/modules, I also needed to edit /etc/Wireless/RT2860STA/RT2860STA.dat and set AuthMode to "WPAPSK" before I rebooted.
amina
Level 3
Level 3
 
Posts: 140
Joined: Wed Mar 02, 2011 4:45 am

Re: RT2870 no longer works with 2.6.38 in testing

Postby vincent on Sat Apr 16, 2011 7:25 pm

romanybob wrote:No my friend, they have taken the rt2870sta driver out completely. We are supposed to use the rt2x00 driver, but as we know it's rubish!!!
I am still trying to compile the source from the Ralink website but I am having problems with this. Have tried multiple tutorials, and am currently trying to expand my knowledge base in this area...
If I find a solution or come across any further information I will post here :wink:


Have you looked at the link I posted previously? http://forums.debian.net/viewtopic.php?f=7&t=60613

If you haven't, it gives you step by step instructions on compiling the Ralink driver.

Also, the rt2x00 driver isn't "rubbish", just because it doesn't work for you. :?
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Re: RT2870 no longer works with 2.6.38 in testing

Postby romanybob on Sun Apr 17, 2011 2:46 am

vincent wrote:
romanybob wrote:No my friend, they have taken the rt2870sta driver out completely. We are supposed to use the rt2x00 driver, but as we know it's rubish!!!
I am still trying to compile the source from the Ralink website but I am having problems with this. Have tried multiple tutorials, and am currently trying to expand my knowledge base in this area...
If I find a solution or come across any further information I will post here :wink:


Have you looked at the link I posted previously? http://forums.debian.net/viewtopic.php?f=7&t=60613

If you haven't, it gives you step by step instructions on compiling the Ralink driver.

Also, the rt2x00 driver isn't "rubbish", just because it doesn't work for you. :?


Yes I did look at the step by step by step tutorial, I constantly get many errors when trying to compile....
As far as the rt2x00 driver is concerned, with my hardware it is rubbish. That is my opinion from my perspective described in my local turn of phrase, if you don't like that then that's not my problem. Please do not tell me what to think, or what to say. Unless you are deliberately looking for some kind of flame war? In any case I'm not interested.... :|
romanybob
Level 1
Level 1
 
Posts: 5
Joined: Fri Oct 29, 2010 4:58 pm

Re: RT2870 no longer works with 2.6.38 in testing

Postby vincent on Sun Apr 17, 2011 4:17 am

What errors are you getting, and where? If you don't include any details, how are you expecting us to help you? Unless you're here just to complain?
Debian Testing x64/LM9 Main x64/Windows 7 x64 - LG R580 laptop w/ Intel Core 2 Duo T6500 2.1 GHz, 4 GB DDR2 RAM, Nvidia Geforce G 105M, Ralink rt2860 802.11n, 300 GB WD HD 5400 rpm
vincent
Level 8
Level 8
 
Posts: 2220
Joined: Tue Feb 09, 2010 4:10 am

Linux Mint is funded by ads and donations.
 

Return to Wireless

Who is online

Users browsing this forum: No registered users and 6 guests